<?php
namespace app\cms\controller;

use app\common\controller\Front;

class Category extends Front
{

    public function _initialize()
    {
        parent::_initialize();
    }
    
    public function index()
    {
        if( isset($this->query['id']) ){
            $term = cmsCategoryId($this->query['id']);
        }elseif( isset($this->query['slug']) ){
            $term= cmsCategorySlug($this->query['slug']);
        }elseif( isset($this->query['name']) ){
            $term = cmsCategoryName($this->query['name']);
        }else{
            $this->error(lang('error_params'),'cms/index/index');
        }
        //数据为空
        if(!$term){
            $this->error(lang('error_empty'),'cms/index/index');
        }
        //分页路径
        $term['path'] = articleUrlCategory($term,'[PAGE]');
        //SEO标签
        $term['term_title'] = cmsSeo(DcEmpty($term['term_title'],$term['term_name']));
        $term['term_keywords'] = cmsSeo(DcEmpty($term['term_keywords'],$term['term_name']));
        $term['term_description'] = cmsSeo(DcEmpty($term['term_description'],$term['term_name']));
        //地址栏
        $term = DcArrayArgs($term, cmsUrlParams('info_id'));
        //数据列表
        $item = articleSelect([
            'cache'   => true,
            'status'  =>'normal',
            'sort'    => $term['sort'],
            'order'   => $term['order'],
            'limit'   => $term['limit'],
            'page'    => $term['page'],
            'term_id' => $term['term_id'],
        ]);
        //变量赋值
        $this->assign($term);
        $this->assign($item);
        //加载模板
        return $this->fetch(DcEmpty($term['term_tpl'],'index'));
    }
}