<?php
namespace app\navbar\event;

use think\Controller;

class Admin extends Controller
{
    protected $query = [];
	
	public function _initialize()
    {
        $this->query = $this->request->param();
        
		parent::_initialize();
	}
    
	public function create()
    {
        $this->assign('query', $this->query);
        
        $this->assign('items', model('navbar/Common','loglic')->items($this->query));

		return $this->fetch('navbar@admin/create');
    }
    
    public function save()
    {
        $term_id = navbarSave(input('post.'));
        
		if($term_id < 1){
			$this->error(\daicuo\Term::getError());
		}
        
		$this->success(lang('success'));
    }
    
    public function delete()
    {
        $ids = input('id/a');
		if(!$ids){
			$this->error(lang('mustIn'));
		}
        
        $result = navbarDelete($ids);
        
        $this->success(lang('success'));
    }
    
    public function edit()
    {
        if(!$info_id = input('id/d',0)){
            $this->error(lang('mustIn'));
        }
        
        //查询数据
        $data = navbarId($info_id);
        if( is_null($data) ){
            $this->error(lang('empty'));
        }
        
        //定义变量
        $this->assign('data', $data);
        
        $this->assign('items', model('navbar/Common','loglic')->items($data));
        
        return $this->fetch('navbar@admin/edit');
    }
    
    public function update()
    {
        $data = input('post.');
        if(!$data['term_id']){
            $this->error(lang('mustIn'));
        }
        if( !navbarUpdate($data) ){
            $this->error(\daicuo\Term::getError());
        }
        $this->success(lang('success'));
    }
    
    public function preview()
    {
        if( !$id = input('id/d',0) ){
            $this->error(lang('mustIn'));
        }
        //快速查询数据
        $term = navbarId($id);
        if(!$term['navs_url']){
            $this->error(lang('empty'));
        }
        //去掉后台入口文件
        $redirect = str_replace($this->request->baseFile(), '', navbarUrl($term));
        //跳转至链接地址
        $this->redirect($redirect, 302);
    }
    
    public function index()
    {
        if($this->request->isAjax()){
            $args = array();
            $args['cache']   = false;
            $args['result']  = 'level';
            $args['type']    = 'navs';
            //$args['module']  = 'navbar';
            //$args['limit']   = DcEmpty($this->query['pageSize'], 30);
            //$args['page']    = DcEmpty($this->query['pageNumber'], 1);
            $args['sort']    = DcEmpty($this->query['sortName'], 'term_order');
            $args['order']   = DcEmpty($this->query['sortOrder'], 'desc');
            $args['search']  = $this->query['searchText'];
            //URL参数不同条件
            if($this->query['sortName']){
               $args['result']  = 'array'; 
            }
            //扩展字段生成查询参数
            $args['meta_query']    = [];
            foreach( DcArrayFilter($this->query, config('custom_fields.term_meta')) as $key=>$value ){
                if($value){
                    array_push($args['meta_query'], ['key'=>['eq',$key],'value'=>['eq',$value]]);
                }
            }
            //自定义查询条件
            if( $where = DcWhereQuery(['term_module','term_controll','term_action','term_status'], 'eq', $this->query) ){
                $args['where'] = $where;
            }
            //查询数据
            $list = DcTermSelect($args);
            if( is_null($list) ){
                return json(['total'=>0,'data'=>'']);
            }
            return json($list);
		}
        //地址栏参数
        $this->assign('query', $this->query);
        //表单筛选字段
        $this->assign('items', model('navbar/Common','loglic')->items($this->query));
        //表格列字段
        $this->assign('columns', model('navbar/Common','loglic')->columns($this->query));
        //加载模板
		return $this->fetch('navbar@admin/index');
	}
}